%if %mdkversion <= 200600
%define    py_platsitedir %{_libdir}/python2.4/site-packages
%endif
%define    name istanbul
%define    version 0.2.1
%define    release %mkrel 3
%define    summary  Desktop Session Recorder

Summary:   %summary
Name:      %name
Version:   %version 
Release:   %release
License:   GPL
Group:     Video
URL:       http://live.gnome.org/Istanbul 
Source:    http://zaheer.merali.org/istanbul-%{version}.tar.bz2
Patch: istanbul-0.2.1-crash.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:  pygtk2.0 pygtk2.0-libglade
Requires: gnome-python-extras
# when suggest tag is implemented, we can change this one

Requires: gstreamer0.10-plugins-good
Requires: gstreamer0.10-python
BuildRequires: python
BuildRequires: pygtk2.0-libglade
BuildRequires: desktop-file-utils
BuildRequires: pygtk2.0-devel
BuildRequires: gnome-python-extras
BuildRequires: gstreamer0.10-plugins-good
BuildRequires: gstreamer0.10-python
BuildRequires: libgstreamer-plugins-base-devel
BuildRequires: ImageMagick
BuildRequires: automake1.8 intltool libGConf2-devel
BuildRequires: desktop-file-utils

%description
Istanbul is a desktop session recorder.  You can use it to record your desktop 
session and then play it back for demos, tutorials and presentations.  Sessions 
are recorded to ogg theora files for later playback.

%prep
%setup -q
%patch -p1
aclocal -I common
automake
autoconf

%build
%configure2_5x
%make 

%install
rm -rf %buildroot
%makeinstall
%if %_lib != lib
mkdir -p %buildroot%_libdir
mv %buildroot%_prefix/lib/python* %buildroot%_libdir
%endif
rm -f %buildroot%{py_platsitedir}/istanbul/extern/pytrayicon/*.la

mkdir -p %buildroot/%{_menudir}
cat > %buildroot/%{_menudir}/%{name} << EOF
?package(%{name}):command="%{_bindir}/%{name}" \
          icon="%{name}.png" \
          needs="x11" \
          section="Multimedia/Video" \
          title="Istanbul" \
          longtitle="A desktop recorder and streamer" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Video;Recorder" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


for i in 16 32 48; do 
    convert %buildroot/%{_datadir}/pixmaps/%{name}.png -size ${i}x${i} %{name}-${i}.png
done

install -m0644 %{name}-16.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m0644 %{name}-32.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m0644 %{name}-48.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%find_lang %name
rm -f %buildroot%_libdir/gstreamer-0.10/libistximagesrc.*a

%clean
rm -rf %buildroot


%files  -f %name.lang
%defattr(-,root,root,-)
%doc ChangeLog 
#NEWS README AUTHORS
%_sysconfdir/gconf/schemas/%name.schemas
%_mandir/man1/%name.1*
%{_bindir}/%{name}
%{py_platsitedir}/%{name}
%{_menudir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%_libdir/gstreamer-0.10/libistximagesrc.so*
%{_miconsdir}/%{name}.png 
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%post
%{update_menus}
%post_install_gconf_schemas %name

%preun
%preun_uninstall_gconf_schemas %name

%postun
%{clean_menus}

%changelog
* Wed Sep 13 2006 Gtz Waschk <waschk@mandriva.org> 0.2.1-3mdv2007.0
- fix a crash

* Tue Aug 29 2006 Gtz Waschk <waschk@mandriva.org> 0.2.1-2mdv2007.0
- fix buildrequires

* Sat Jul 29 2006 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdv2007.0
- New release 0.2.1

* Sun Jul 16 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-1mdv2007.0
- fix deps
- update file list
- drop patch
- New release 0.2.0

* Mon Jul 10 2006 Gtz Waschk <waschk@mandriva.org> 0.1.2-2mdv2007.0
- fix buildrequires

* Sun Jun 18 2006 Gtz Waschk <waschk@mandriva.org> 0.1.2-1mdv2007.0
- add xdg menu
- update file list
- drop patch 0
- fix deps
- New release 0.1.2

* Tue Apr 25 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.1-11mdk
- Fix Build for mdv <= 2006.0

* Mon Apr 03 2006 Sebastien Savarin <plouf@mandriva.org> 0.1.1-10mdk
- add missing Requires on gstreamer-vorbis
- use macros
- make specfile "reader friendly"

* Tue Mar 14 2006 Gtz Waschk <waschk@mandriva.org> 0.1.1-9mdk
- install in the right dir on x86_64

* Fri Feb 10 2006 Michael Scherer <misc@mandriva.org> 0.1.1-8mdk
- patch 1, stolen from debian, fix the problem regarding icon menu on kde 
- use python macro

* Tue Jan 10 2006 Gtz Waschk <waschk@mandriva.org> 0.1.1-7mdk
- fix buildrequires

* Mon Jan  2 2006 Gtz Waschk <waschk@mandriva.org> 0.1.1-6mdk
- fix build

* Sat Dec 31 2005 Gtz Waschk <waschk@mandriva.org> 0.1.1-5mdk
- depend on the jpeg plugin for the smoke codec

* Thu Sep 29 2005 Gtz Waschk <waschk@mandriva.org> 0.1.1-4mdk
- fix buildrequires

* Tue Sep 13 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.1-3mdk
- Fix BuildRequires ( ImageMagick because of convert )

* Mon Jul 04 2005 Michael Scherer <misc@mandriva.org> 0.1.1-2mdk
- fix deps

* Sat Jul 02 2005 Michael Scherer <misc@mandriva.org> 0.1.1-1mdk
- adaptation of spec from John (J5) Palmieri <johnp@redhat.com>
- patch for various bug related to icecast support

